﻿@model LAP.Areas.Adviser.Models.RiskArcReportModel
@{
    Layout = null;
    var localDate = Model.LocalDateTime.ToString("MMM dd, yyyy");
    var bitData = Model.BitData;
    var bits = bitData.Where(m => m.Active).Select(m => m.BitType);
}
<!DOCTYPE html>
<html lang="en">
<head>
    <title>@System.IO.Path.GetFileNameWithoutExtension(Model.FileName)</title>
    <link href="https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css2?family=Roboto+Condensed:wght@300&display=swap" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css2?family=Lato:ital,wght@0,100;0,300;0,400;0,700;0,900;1,100;1,300;1,400;1,700;1,900&display=swap" rel="stylesheet">
    <link href="~/css/report-style.css" rel="stylesheet" />
</head>
<body style="font-family: 'Poppins', sans-serif !important;">
    <div style="color:#000">
        <div id="page1" style="height:1290px">
            <div style="position:relative;margin-bottom:15px">
                <div style="position: absolute;right:0;top: 17px;" class="text-riskarc-navi"><b>RiskArc Report with Behavioral Tendencies</b></div>
                <img src="~/images/report/riskarc-header.png" width="910px" style="margin-left:-7px;width: 335px;" />
                <hr style="border-top: 1px solid #1f538b;margin-top:-7px;" />
            </div>
            <div class="font-14">
                <div class="d-flex">
                    <div>
                        <h2 style="margin: 0;">
                            <span class="text-riskarc-navi">Name:</span>
                            <span class="font-size-h6" style="font-weight:400">@Model.FirstName @Model.LastName</span>
                        </h2>
                    </div>
                    <div style="text-align:right">
                        <h2 style="margin: 0">
                            <span class="text-riskarc-navi">Date:</span>
                            <span class="font-size-h6" style="font-weight:400">@localDate</span>
                        </h2>
                    </div>
                </div>
                <h2 style="margin: 0">
                    <span class="text-riskarc-navi">Risk Capacity:</span>
                    <span class="font-size-h6 @(Model.RiskCapacity < 20 ? "text-na" : "")" style="font-weight:400">@Model.RiskCapacity</span>
                </h2>
                <h2 style="margin: 0">
                    <span class="text-riskarc-navi">Risk Profile:</span>
                    <span class="font-size-h6 @(Model.RiskCapacity < 20 ? "text-na" : "")" style="font-weight:400">@Model.RiskProfile</span>
                </h2>
                <h2 style="margin: 0">
                    <span class="text-riskarc-navi">Behavioral Investor Type(s):</span>
                    <span class="font-size-h6 @(bits.Count() == 0 ? "text-na" : "")" style="font-weight:400">@(bits.Count() > 0 ? string.Join(" | ", bits) : "N/A")</span>
                </h2>
            </div>
            <img src="~/images/report/riskarc-perfomance.png" width="910px" style="margin-left:-7px" height="250px" />
            <h2 class="font-size-large text-riskarc-navi" style="text-align:center;font-size:x-large;font-weight:500;margin:5px 0">Behavioral Investor Type Profiles</h2>
            <div class="d-flex font-15">
                @foreach (var item in bitData.Take(2))
                {
                    <div class="flex-fill p-1 w-100">
                        <div class="bg-light-@(item.Active ? "primary" : "danger") height-200 p-4 text-dark" style="color:black;border:@(item.Active ? "solid 1px #1f538b" : "none");opacity:@(!item.Active ? "0.7" : "1")">
                            <div class="font-size-large text-@(item.Active ? "riskarc-navi" : "danger")" style="margin-bottom:3px;margin-top:-5px"><b>@item.BitType.ToString().ToUpper(): @item.Point</b></div>
                            <div id="@item.BitType.ToString().ToLower()">
                                @Html.Raw(item.Description)
                            </div>
                        </div>
                    </div>
                }
            </div>
            <div class="d-flex font-15">
                @foreach (var item in bitData.Skip(2).Take(2))
                {
                    <div class="flex-fill p-1 w-100">
                        <div class="bg-light-@(item.Active ? "primary" : "danger") height-200 p-4 text-dark" style="color:black;border:@(item.Active ? "solid 1px #1f538b" : "none");opacity:@(!item.Active ? "0.7" : "1")">
                            <div class="font-size-large text-@(item.Active ? "riskarc-navi" : "danger")" style="margin-bottom:3px;margin-top:-5px;"><b>@item.BitType.ToString().ToUpper(): @item.Point</b></div>
                            <div id="@item.BitType.ToString().ToLower()">
                                @Html.Raw(item.Description)
                            </div>
                        </div>
                    </div>
                }
            </div>
            <hr style="border-top: 1px solid #D1D3E0;" />
            <div class="disclosure" style="font-size:13px">
                @if (!string.IsNullOrEmpty(Model.RIADisclosure))
                {
                    <p>
                        @Model.RIADisclosure
                    </p>
                }
                <p>
                    Past performance is no guarantee of future results.
                    It is not possible to invest directly in an index. All market indices are unmanaged.
                    Returns are for the period ending December 30, 2017. Average equity investor, average bond investor, and average asset allocation investor
                    performance results are calculated using data supplied by Dalbar 2018 QAIB Report (Quantitative Analysis of Investor Behavior). Investor returns
                    are represented by the change in total mutual fund assets after excluding sales, redemptions, and exchanges. This method of calculation captures
                    realized and unrealized capital gains, dividends, interest, trading costs, sales charges, fees, expenses, and any other costs. After calculating
                    investor returns in dollar terms, two percentages are calculated for the period examined: total investor return rate and annualized investor return
                    rate. Total return rate is determined by calculating the investor return dollars as a percentage of the net of the sales, redemptions, and exchanges
                    for each period. ©@DateTime.UtcNow.Year Financial Architects & Consultants, LLC
                </p>
            </div>
        </div>
        <hr style="border-top: 1px solid #1f538b;margin-top:30px" />
        <div class="d-flex text-riskarc-navi" style="font-size:18px;font-family: 'Roboto Condensed', sans-serif;font-weight:bolder">
            <div>Financial Architects & Consultants, LLC • www.LifeArcPlan.com</div>
        </div>
    </div>
</body>
</html>